1. Statistics
Analytics
  • Docs
  • Auth
    • /v2/auth/token
      GET
  • Activity Log
    • /v2/activity-log
      GET
    • /v2/activity-log
      DELETE
    • /v2/activity-log/csv
      GET
    • /v2/activity-log/realtime
      GET
  • Data Availability
    • /v2/data-availability
      GET
  • Statistics
    • /v2/statistic/timeseries
      GET
    • /v2/statistic/timeseries/{group}
      GET
    • /v2/statistic/count
      GET
    • /v2/statistic/count/{group}
      GET
    • /v2/statistic/trend/{group}
      GET
  • Admin Actions
    • /v2/admin-action
      GET
  • Clients
    • /v2/client
      GET
    • /v2/client
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      PUT
  • Schemas
    • Column
    • DeleteClientResponse
    • GetAdminActionLogResponse
    • CountGroupResponse
    • GetClientResponse
    • AdminActionLogItem
    • GeoIPData
    • QueryData
    • PaginationData
    • ClientActivity
    • TrendResponse
    • CountResponse
    • TimeSeriesGroupResponse
    • TimeSeriesResponse
    • ErrorResponse
    • Trigger
    • Datetime
    • DataAvailability
    • HistoricalQueriesResponse
    • IP
    • Domain
  1. Statistics

/v2/statistic/count/{group}

https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
GET
/v2/statistic/count/{group}
Counts records based on the parameters, split into unique values of {group}.
The default sort order is desc, showing only groups with the highest count if the limit is reached.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://us-east1-org01.analytics.controld.com/v2/statistic/count/action?startTime={{%24date.now%7CaddHours(-1)}}&endTime=undefined&limit=undefined&endpointId[]=undefined&clientId[]=undefined&action[]=undefined&trigger[]=undefined&triggerValue[]=undefined&spoofTarget[]=undefined&question[]=undefined&searchQuestion=undefined&searchQuestionMode=undefined&profileId[]=undefined&protocol[]=undefined&statusCode[]=undefined&rrType[]=undefined&srcCountry[]=undefined&dstCountry[]=undefined&dstAsn[]=undefined&srcAsn[]=undefined&dstIsp[]=undefined&srcIsp[]=undefined&sortOrder=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Example 1
{
    "success": true,
    "body": {
        "startTime": "2025-02-07T13:20:47.214Z",
        "endTime": "2025-02-07T13:20:47.214Z",
        "counts": [
            {
                "value": "string",
                "count": 0
            }
        ]
    }
}
Modified at 2026-03-31 19:19:32
Previous
/v2/statistic/count
Next
/v2/statistic/trend/{group}
Built with